package de.osci.helper;

import java.io.FilterOutputStream;
import java.io.IOException;
import java.io.OutputStream;


/**
 * <p>Copyright  2017 Freie Hansestadt Bremen</p>
 * <p>Erstellt von Governikus GmbH & Co.  KG
 * </p>
 * <p>Diese Bibliothek kann von jedermann nach Magabe der Bremer Lizenz fr
 * freie Softwarebibliotheken genutzt werden.</p>Die Lizenzbestimmungen knnen
 * unter der URL <a href='www.osci.de' >www.osci.de</a > abgerufen oder bei der
 * Koordinierungsstelle fr IT-Standards (KoSIT),  Schillerstr. 1,
 * 28195 Bremen schriftlich angefordert werden.</p>
 *
 *
 * @author N. Bngener
 * @version 1.8.0
 */
public class StoreOutputStream extends FilterOutputStream
{
  //  private static Log log = LogFactory.getLog(StoreOutputStream.class);
  private OutputStream copyStream;

  /**
   * Creates a new StoreOutputStream object.
   *
   * @param outStream undocumented
   * @param copyStream undocumented
   *
   * @throws IOException undocumented
   */
  public StoreOutputStream(OutputStream outStream, OutputStream copyStream)
                    throws IOException
  {
    super(outStream);
    this.copyStream = copyStream;
  }

  /**
   * undocumented
   *
   * @param b undocumented
   *
   * @throws IOException undocumented
   */
  public void write(int b) throws IOException
  {
    //    write(new byte[] { (byte) b }, 0, 1);
    out.write(b);
    copyStream.write(b);
  }

  /**
   * undocumented
   *
   * @param b undocumented
   * @param off undocumented
   * @param len undocumented
   *
   * @throws IOException undocumented
   */
  public void write(byte[] b, int off, int len) throws IOException
  {
    out.write(b, off, len);
    copyStream.write(b, off, len);
  }

  /**
   * undocumented
   *
   * @throws IOException undocumented
   */
  public void flush() throws IOException
  {
    out.flush();
    copyStream.flush();
  }

  /**
   * undocumented
   *
   * @throws IOException undocumented
   */
  public void close() throws IOException
  {
    flush();
    out.close();
    copyStream.close();
  }
}
