package de.osci.osci12.common;

import de.osci.osci12.OSCIException;
import de.osci.osci12.common.OSCIExceptionCodes.OSCIExceptionCodesI;


/**
 * Diese Exception zeigt eine der in der OSCI-Spezifikation
 * definierten Fehlermeldungen auf Nachrichtenebene (faultcode soap:Client) an.
 *
 * <p>Copyright  2017 Freie Hansestadt Bremen</p>
 * <p>Erstellt von Governikus GmbH & Co.  KG
 * </p>
 * <p>Diese Bibliothek kann von jedermann nach Magabe der Bremer Lizenz fr
 * freie Softwarebibliotheken genutzt werden.</p>Die Lizenzbestimmungen knnen
 * unter der URL <a href='www.osci.de' >www.osci.de</a > abgerufen oder bei der
 * Koordinierungsstelle fr IT-Standards (KoSIT),  Schillerstr. 1,
 * 28195 Bremen schriftlich angefordert werden.</p>
 *
 *
 * @author R. Lindemann, N.Bngener
 * @version 1.8.0
 */
public class SoapClientException extends OSCIException
{
  /**
   * 
   */
  private static final long serialVersionUID = 1L;

  /**
   * Erzeugt ein SoapClientException-Objekt mit einem erklrenden String als
   * Message und einem Fehlercode.
   * @deprecated Bitte den Konstruktor mit OSCIExceptionCodesI benutzen
   * @param oscicode 
   */
  @Deprecated
  public SoapClientException(String oscicode, String faultstring)
  {
    super(faultstring, oscicode);
  }

  /**
   * Erzeugt ein SoapClientException-Objekt mit einem Fehlercode und erklrendem
   * String als Message. Als Message-String wird der dem Code entsprechende Eintrag
   * in der zum aktuellen default-Locale gehrenden Sprachdatei (s. Package
   * de.osci.osci12.extinterfaces.language) gesetzt.
   * @deprecated Bitte den Konstruktor mit OSCIExceptionCodesI benutzen
   * @param oscicode
   */
  @Deprecated
  public SoapClientException(String oscicode)
  {
    this(oscicode, DialogHandler.text.getString(oscicode));
  }
  /**
   * Erzeugt ein SoapClientException-Objekt mit einem erklrenden String als
   * Message und einem Fehlercode.
   * @param oscicode
   */
  public SoapClientException(OSCIExceptionCodesI oscicode, String faultstring)
  {
    super(oscicode,faultstring);
  }

  /**
   * Erzeugt ein SoapClientException-Objekt mit einem Fehlercode und erklrendem
   * String als Message. Als Message-String wird der dem Code entsprechende Eintrag
   * in der zum aktuellen default-Locale gehrenden Sprachdatei (s. Package
   * de.osci.osci12.extinterfaces.language) gesetzt.
   * @param oscicode
   */
  public SoapClientException(OSCIExceptionCodesI oscicode)
  {
    this(oscicode, DialogHandler.text.getString(oscicode.getOSCICode()));
  }
}
