package de.osci.osci12.common;

import de.osci.osci12.OSCIException;
import de.osci.osci12.common.OSCIExceptionCodes.OSCIExceptionCodesI;


/**
 * Diese Exception zeigt eine der in der OSCI-Spezifikation
 * definierten Fehlermeldungen auf Nachrichtenebene (faultcode soap:Server) an.
 *
 * <p>Copyright  2017 Freie Hansestadt Bremen</p>
 * <p>Erstellt von Governikus GmbH & Co.  KG
 * </p>
 * <p>Diese Bibliothek kann von jedermann nach Magabe der Bremer Lizenz fr
 * freie Softwarebibliotheken genutzt werden.</p>Die Lizenzbestimmungen knnen
 * unter der URL <a href='www.osci.de' >www.osci.de</a > abgerufen oder bei der
 * Koordinierungsstelle fr IT-Standards (KoSIT),  Schillerstr. 1,
 * 28195 Bremen schriftlich angefordert werden.</p>
 *
 *
 * @author R. Lindemann, N.Bngener
 * @version 1.8.0
 */
public class SoapServerException extends OSCIException
{
  /**
   * 
   */
  private static final long serialVersionUID = 1L;
  /**
   * Erzeugt ein SoapServerException-Objekt mit einem erklrenden String und
   * einem Fehlercode. Als Fehlercode kann jeder String verwendet werden, fr den
   * ein entsprechender Eintrag in der zum gesetzten default-Locale gehrenden
   * Sprachdatei (s. Package de.osci.osci12.extinterfaces.language) vorhanden ist.
   * @deprecated Bitte den Konstruktor mit OSCIExceptionCodesI benutzen
   * @param oscicode OSCI-Fehlercode
   * @param faultstring Fehlertext
   */
  @Deprecated
  public SoapServerException(String oscicode, String faultstring)
  {
    super(faultstring, oscicode);
  }
  /**
   * Erzeugt ein SoapServerException-Objekt mit einem erklrenden String und
   * einem Fehlercode. Als Fehlercode kann jeder String verwendet werden, fr den
   * ein entsprechender Eintrag in der zum gesetzten default-Locale gehrenden
   * Sprachdatei (s. Package de.osci.osci12.extinterfaces.language) vorhanden ist.
   * @param oscicode OSCI-Fehlercode Objekt
   * @param faultstring Fehlertext
   */
  public SoapServerException(OSCIExceptionCodesI oscicode, String faultstring)
  {
    super(oscicode,faultstring);
  }
}
