package de.osci.osci12.encryption;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import de.osci.osci12.signature.KeyInfo;


/**
 * <p>Copyright  2017 Freie Hansestadt Bremen</p>
 * <p>Erstellt von Governikus GmbH & Co.  KG
 * </p>
 * <p>Diese Bibliothek kann von jedermann nach Magabe der Bremer Lizenz fr
 * freie Softwarebibliotheken genutzt werden.</p>Die Lizenzbestimmungen knnen
 * unter der URL <a href='www.osci.de' >www.osci.de</a > abgerufen oder bei der
 * Koordinierungsstelle fr IT-Standards (KoSIT),  Schillerstr. 1,
 * 28195 Bremen schriftlich angefordert werden.</p>
 *
 *
 * @author R. Lindemann, N.Bngener
 * @version 1.8.0
 */
public class EncryptedType
{
  private static Log log = LogFactory.getLog(EncryptedType.class);
  /** ID Dieses Elements.*/
  private String id;
  /** Encoding. */
  private String encoding;
  /** MimeType z.B. text/xml. */
  private String mimeType;
  /** Algorithmus der verschluesselung. Z.B. DES fuer Nachricht oder RSA fuer KEY. */
  private String encryptionMethodAlgorithm;
  /** Weitere Eigenschaften der Verschluesselung. Noch nicht Impl. */

  //  private EncryptionProperties encryptionProperties;
  /** CipherData Element. */
  private CipherData cipherData;
  /** Das KeyInfo Element. */
  private KeyInfo keyInfo;

  /**
   * Creates a new EncryptedType object.
   */
  public EncryptedType()
  {
  }

  /**
   * undocumented
   *
   * @return undocumented
   */
  public String getId()
  {
    return id;
  }

  /**
   * undocumented
   *
   * @param id undocumented
   */
  public void setId(String id)
  {
    this.id = id;
  }

  /**
   * undocumented
   *
   * @param encoding undocumented
   */
  public void setEncoding(String encoding)
  {
    this.encoding = encoding;
  }

  /**
   * undocumented
   *
   * @return undocumented
   */
  public String getEncoding()
  {
    return encoding;
  }

  /**
   * undocumented
   *
   * @param mimeType undocumented
   */
  public void setMimeType(String mimeType)
  {
    this.mimeType = mimeType;
  }

  /**
   * undocumented
   *
   * @return undocumented
   */
  public String getMimeType()
  {
    return mimeType;
  }

  /**
   * undocumented
   *
   * @param encryptionMethodAlgorithm undocumented
   */
  public void setEncryptionMethodAlgorithm(String encryptionMethodAlgorithm)
  {
    this.encryptionMethodAlgorithm = encryptionMethodAlgorithm;
  }

  /**
   * undocumented
   *
   * @return undocumented
   */
  public String getEncryptionMethodAlgorithm()
  {
    return encryptionMethodAlgorithm;
  }

  /**
   * undocumented
   *
   * @param cipherData undocumented
   */
  public void setCipherData(CipherData cipherData)
  {
    this.cipherData = cipherData;
  }

  /**
   * undocumented
   *
   * @return undocumented
   */
  public CipherData getCipherData()
  {
    return cipherData;
  }

  /**
   * undocumented
   *
   * @param keyInfo undocumented
   */
  public void setKeyInfo(KeyInfo keyInfo)
  {
    if (keyInfo == null)
      log.warn("KeyInfo durf nicht null sein.");

    this.keyInfo = keyInfo;
  }

  /**
   * undocumented
   *
   * @return undocumented
   */
  public KeyInfo getKeyInfo()
  {
    return keyInfo;
  }
}
