package de.osci.osci12.encryption;

import de.osci.osci12.OSCIException;


/**
 * Diese Exception zeigt ein Problem bei Ver- oder Entschlsselungsvorgngen
 * an. Die Bibliothek fat auch einige JCE/JCA-Exceptions hiermit zusammen, um (aus
 * Sicherheitsgrnden) keine detaillierten Informationen ber fehlgeschlagene
 * Entschlsselungsversuche zu liefern.
 *
 * <p>Copyright  2017 Freie Hansestadt Bremen</p>
 * <p>Erstellt von Governikus GmbH & Co.  KG
 * </p>
 * <p>Diese Bibliothek kann von jedermann nach Magabe der Bremer Lizenz fr
 * freie Softwarebibliotheken genutzt werden.</p>Die Lizenzbestimmungen knnen
 * unter der URL <a href='www.osci.de' >www.osci.de</a > abgerufen oder bei der
 * Koordinierungsstelle fr IT-Standards (KoSIT),  Schillerstr. 1,
 * 28195 Bremen schriftlich angefordert werden.</p>
 *
 *
 * @author R. Lindemann, N.Bngener
 * @version 1.8.0
 */
public class OSCICipherException extends OSCIException
{
  /**
   * Creates a new OSCICipherException object.
   *
   * @param errorCode undocumented
   */
  public OSCICipherException(String errorCode)
  {
    super(errorCode);
  }

  /**
   * Creates a new OSCICipherException object.
   *
   * @param message undocumented
   * @param errorCode undocumented
   */
  public OSCICipherException(String message, String errorCode)
  {
    super(message, errorCode);
  }
}
