package de.osci.osci12.extinterfaces;

/**
 * Anwendungen knnen eine Implementierung dieser Schnittstelle im DialogHandler-Objekt
 * einer Kommunikation setzen, ber das die Bibliothek Informationen ber die Durchfhrung
 * von Operationen liefert. Z.Zt. bietet die Bibliothek nur eine minimale Untersttzung
 * dieser Schnittstelle, beispielsweise ohne Informationen ber den prozentualen Fortschritt
 * einer Operation.
 *
 * <p>Copyright  2017 Freie Hansestadt Bremen</p>
 * <p>Erstellt von Governikus GmbH & Co.  KG
 * </p>
 * <p>Diese Bibliothek kann von jedermann nach Magabe der Bremer Lizenz fr
 * freie Softwarebibliotheken genutzt werden.</p>Die Lizenzbestimmungen knnen
 * unter der URL <a href='www.osci.de' >www.osci.de</a > abgerufen oder bei der
 * Koordinierungsstelle fr IT-Standards (KoSIT),  Schillerstr. 1,
 * 28195 Bremen schriftlich angefordert werden.</p>
 *
 *
 * @author R. Lindemann, N. Bngener
 * @version 1.8.0
 * @see de.osci.osci12.common.DialogHandler#setProgressEventHandler(ProgressEventHandlerI)
 */
public interface ProgressEventHandlerI
{
  public static final int SEND_MESSAGE = 0;
  public static final int RECEIVE_MESSAGE = 1;

  /**
   * Liefert eine Versionsnummer.
   * @return Versionsnummer
   */
  public String getVersion();

  /**
   * Liefert den Namen des Herstellers.
   * @return Herstellername
   */
  public String getVendor();

  /**
   * Wird aufgerufen, sobald langwierige Vorgnge in der Bibliothek der
   * Applikation mitgeteilt werden sollen.
   *
   * @param type Art der Nachricht
   * @param param Text des Fortschrittsevents
   * @param percent Fortschritt einer Operation in Prozent oder -1,
   * wenn keine Angabe
   * @see de.osci.osci12.common.Constants
   */
  public void event(int type, String param, int percent);
}
