package de.osci.osci12.messageparts;

/**
 * <p>Diese Klasse reprsentiert einen Feedback-Eintrag einer OSCIResponseTo-Nachricht</p>
 *
 * <p>Copyright  2017 Freie Hansestadt Bremen</p>
 * <p>Erstellt von Governikus GmbH & Co.  KG
 * </p>
 * <p>Diese Bibliothek kann von jedermann nach Magabe der Bremer Lizenz fr
 * freie Softwarebibliotheken genutzt werden.</p>Die Lizenzbestimmungen knnen
 * unter der URL <a href='www.osci.de' >www.osci.de</a > abgerufen oder bei der
 * Koordinierungsstelle fr IT-Standards (KoSIT),  Schillerstr. 1,
 * 28195 Bremen schriftlich angefordert werden.</p>
 *
 *
 * @author R. Lindemann, N.Bngener
 * @version 1.8.0
 */
public class FeedbackObject
{
  //  private static Log log = LogFactory.getLog(FeedbackObject.class);
  private String lang;
  private String code;
  private String text;

  FeedbackObject(String[] feedback)
  {
    lang = feedback[0];
    code = feedback[1];
    text = feedback[2];
  }

  /**
   * Liefert das Sprachkrzel des Feedbackeintrags (de, en...).
   * @return das Sprachkrzel
   */
  public String getLanguage()
  {
    return lang;
  }

  /**
   * Liefert den Rckmeldecode des Feedbackeintrags.
   * @return der Rckmeldecode
   */
  public String getCode()
  {
    return code;
  }

  /**
   * Liefert den Text des Feedbackeintrags.
   * @return der Text
   */
  public String getText()
  {
    return text;
  }
}
