package de.osci.osci12.messageparts;

import java.io.IOException;
import java.io.OutputStream;
import java.security.NoSuchAlgorithmException;

import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import org.xml.sax.XMLReader;
import org.xml.sax.helpers.DefaultHandler;

import de.osci.osci12.OSCIException;


/**
 * Die Methoden dieser Factory-Klasse werden von Anwendungen nicht bentigt und
 * sind deshalb nicht dokumentiert.
 *
 * <p>Copyright  2017 Freie Hansestadt Bremen</p>
 * <p>Erstellt von Governikus GmbH & Co.  KG
 * </p>
 * <p>Diese Bibliothek kann von jedermann nach Magabe der Bremer Lizenz fr
 * freie Softwarebibliotheken genutzt werden.</p>Die Lizenzbestimmungen knnen
 * unter der URL <a href='www.osci.de' >www.osci.de</a > abgerufen oder bei der
 * Koordinierungsstelle fr IT-Standards (KoSIT),  Schillerstr. 1,
 * 28195 Bremen schriftlich angefordert werden.</p>
 *
 *
 * @author R. Lindemann, N.Bngener
 * @version 1.8.0
 */
public class MessagePartsFactory
{
  /**
   * undocumented
   *
   * @param omb undocumented
   *
   * @return undocumented
   */
  public static ContentPackageBuilder createContentPackageBuilder(de.osci.osci12.messagetypes.OSCIMessageBuilder omb /*, String soap, String osci, String ds, String xenc*/)
  {
    ContentPackageBuilder cpb = new ContentPackageBuilder(omb);

    return cpb;
  }

  public static ChunkInformation creatChunkInformation(ChunkInformation.CheckInstance chunkInstance)
  {
    return new ChunkInformation(chunkInstance);
  }
  /**
   * undocumented
   *
   * @param xmlReader undocumented
   * @param parentHandler undocumented
   * @param atts undocumented
   *
   * @return undocumented
   * @throws SAXException 
   */
  public static OSCISignatureBuilder createOsciSignatureBuilder(XMLReader xmlReader, DefaultHandler parentHandler,
                                                                Attributes atts) throws SAXException
  {
    return new OSCISignatureBuilder(xmlReader, parentHandler, atts);
  }

  /**
   * undocumented
   *
   * @param name undocumented
   * @param messageId undocumented
   * @param recentModification undocumented
   * @param creation undocumented
   * @param forwarding undocumented
   * @param reception undocumented
   * @param subject undocumented
   * @param inspections undocumented
   *
   * @return undocumented
   */
  public static ProcessCardBundle createProcessCardBundle(String name, String messageId, String recentModification,
                                                          Timestamp creation, Timestamp forwarding,
                                                          Timestamp reception, String subject, Inspection[] inspections)
  {
    return new ProcessCardBundle(name, messageId, recentModification, creation, forwarding, reception, subject,
                                 inspections);
  }

  /**
   * undocumented
   *
   * @param enclosingElement undocumented
   *
   * @return undocumented
   */
  public static OSCISignature createOSCISignature(String enclosingElement)
  {
    return new OSCISignature(enclosingElement);
  }

  /**
   * undocumented
   *
   * @param mp undocumented
   *
   * @return undocumented
   *
   * @throws IOException undocumented
   * @throws java.security.NoSuchAlgorithmException undocumented
   * @throws OSCIException undocumented
   */
  public static OSCISignatureReference createOSCISignatureReference(MessagePart mp, String digestAlgorithm)
    throws IOException, 
           java.security.NoSuchAlgorithmException, 
           OSCIException
  {
    return new OSCISignatureReference(mp, digestAlgorithm);
  }

  /**
   * undocumented
   *
   * @param feedback undocumented
   *
   * @return undocumented
   */
  public static FeedbackObject createFeedbackObject(String[] feedback)
  {
    return new FeedbackObject(feedback);
  }

  /**
   * undocumented
   *
   * @param ins undocumented
   * @param refId undocumented
   * @param length undocumented
   *
   * @return undocumented
   *
   * @throws IOException undocumented
   * @throws NoSuchAlgorithmException undocumented
   */
  public static Attachment attachment(java.io.InputStream ins, String refId, long length, String transportDigestAlgorithm)
                               throws IOException, 
                                      NoSuchAlgorithmException
  {
    return new Attachment(ins, refId, length, transportDigestAlgorithm);
  }

  /**
   * undocumented
   *
   * @param attachment undocumented
   * @param ins undocumented
   * @param encrypt undocumented
   * @param length undocumented
   *
   * @throws IOException undocumented
   * @throws NoSuchAlgorithmException undocumented
   */
  public static void attachmentSetStream(Attachment attachment, java.io.InputStream ins, boolean encrypt, long length, String transportDigestAlgorithm)
                                  throws IOException, 
                                         NoSuchAlgorithmException
  {
    attachment.setInputStream(ins, encrypt, length, transportDigestAlgorithm);
  }

  /**
   * undocumented
   *
   * @param att undocumented
   * @param newState undocumented
   * @param encrypted undocumented
   */
  public static void attachmentSetState(Attachment att, int newState, boolean encrypted)
  {
    att.stateOfAttachment = newState;
    att.encrypt = encrypted;
  }

  /**
   * undocumented
   *
   * @param att undocumented
   */
  public static boolean attachmentIsBase64(Attachment att)
  {
    return att.base64;
  }

  /**
   * undocumented
   *
   * @param c undocumented
   * @param digest undocumented
   */
  public static void setDigestValue(MessagePart c, byte[] digest, String digestAlgorithm)
  {
    c.digestValues.put(digestAlgorithm, digest);
  }

  /**
   * Returns the message part's digest value.
   *
   * @return digest value
   * @throws OSCIException
   * @throws IOException
   * @throws NoSuchAlgorithmException
   */
  public static byte[] getDigestValue(MessagePart c, String digestAlgorithm) throws NoSuchAlgorithmException, IOException, OSCIException
  {
    return c.getDigestValue(digestAlgorithm);
  }

  /**
   * undocumented
   *
   * @param mp undocumented
   * @param out undocumented
   *
   * @throws IOException undocumented
   * @throws OSCIException undocumented
   */
  public static void writeXML(MessagePart mp, OutputStream out)
                       throws IOException, 
                              OSCIException
  {
    mp.writeXML(out);
  }
}
