package de.osci.osci12.roles;

import java.security.cert.X509Certificate;

import de.osci.osci12.extinterfaces.crypto.Decrypter;
import de.osci.osci12.extinterfaces.crypto.Signer;


/**
 *  Diese Klasse stellt einen OSCI-Empfaenger dar.
 *
 * <p>Copyright  2017 Freie Hansestadt Bremen</p>
 * <p>Erstellt von Governikus GmbH & Co.  KG
 * </p>
 * <p>Diese Bibliothek kann von jedermann nach Magabe der Bremer Lizenz fr
 * freie Softwarebibliotheken genutzt werden.</p>Die Lizenzbestimmungen knnen
 * unter der URL <a href='www.osci.de' >www.osci.de</a > abgerufen oder bei der
 * Koordinierungsstelle fr IT-Standards (KoSIT),  Schillerstr. 1,
 * 28195 Bremen schriftlich angefordert werden.</p>
 *
 *
 * @author R. Lindemann, N.Bngener
 * @version 1.8.0
 */
public class Addressee extends Role
{
  //  private static final String idName = "addressee";
  /**
   *  Konstruktor fr den Empfang einer Nachricht.
   *
   *  @param  signer Signer-Objekt, welches die Signatur der Rckantwort erstellen
   *  soll (kann null sein, wenn keine Signatur gewnscht).
   *  @param  decrypter Decrypter-Objekt, welches den Inhalt der Nachricht entschlsseln
   *  soll.
   */
  public Addressee(Signer signer, Decrypter decrypter)
  {
    super(signer, decrypter);
  }

  /**
   *  Konstruktor fr das Versenden einer Nachricht.
   *
   *  @param  signatureCertificate Zertifikat, mit dem die Signatur der Rckantwort geprft wird
   *  @param  cipherCertificate Zertifikat, mit dem die Nachricht verschlsselt werden soll
   */
  public Addressee(X509Certificate signatureCertificate, X509Certificate cipherCertificate)
  {
    super(signatureCertificate, cipherCertificate);
  }
}
