package de.osci.osci12.roles;

import de.osci.osci12.OSCIException;


/**
 * Diese Exception zeigt an, dass ein Rollenobjekt fr eine unzulssige Operation
 * verwendet wurde. Beispiel: An die Methode ContentContainer.sign(Role) wird ein
 * Role-Objekt bergeben, welches kein Signer-Objekt enthlt.
 *
 * <p>Copyright  2017 Freie Hansestadt Bremen</p>
 * <p>Erstellt von Governikus GmbH & Co.  KG
 * </p>
 * <p>Diese Bibliothek kann von jedermann nach Magabe der Bremer Lizenz fr
 * freie Softwarebibliotheken genutzt werden.</p>Die Lizenzbestimmungen knnen
 * unter der URL <a href='www.osci.de' >www.osci.de</a > abgerufen oder bei der
 * Koordinierungsstelle fr IT-Standards (KoSIT),  Schillerstr. 1,
 * 28195 Bremen schriftlich angefordert werden.</p>
 *
 *
 * @author R. Lindemann, N.Bngener
 * @version 1.8.0
 */
public class OSCIRoleException extends OSCIException
{
  /**
   * 
   */
  private static final long serialVersionUID = 1L;

  /**
   * Creates a new OSCIRoleException object.
   *
   * @param message undocumented
   */
  public OSCIRoleException(String message)
  {
    super(message);
  }

  /**
   * Creates a new OSCISignatureException object.
   *
   * @param errorCode undocumented
   */
  public OSCIRoleException(String errorCode, String addInfo)
  {
    super(addInfo, errorCode);
  }

  /**
   * Liefert die Exception-Nachricht in der jeweiligen Sprache (Default-Locale).
   * @return lokale Nachricht
   */
  public String getLocalizedMessage()
  {
    return super.getLocalizedMessage() + " '" + super.getMessage() + "'";
  }

}
