package de.osci.osci12.signature;

import de.osci.osci12.OSCIException;


/**
 * Diese Exception zeigt ein Problem bei Signaturvorgngen
 * an. Die Bibliothek fat auch einige JCE/JCA-Exceptions hiermit zusammen, um (aus
 * Sicherheitsgrnden) keine detaillierten Informationen ber fehlgeschlagene
 * Signierversuche zu liefern.
 *
 * <p>Copyright  2017 Freie Hansestadt Bremen</p>
 * <p>Erstellt von Governikus GmbH & Co.  KG
 * </p>
 * <p>Diese Bibliothek kann von jedermann nach Magabe der Bremer Lizenz fr
 * freie Softwarebibliotheken genutzt werden.</p>Die Lizenzbestimmungen knnen
 * unter der URL <a href='www.osci.de' >www.osci.de</a > abgerufen oder bei der
 * Koordinierungsstelle fr IT-Standards (KoSIT),  Schillerstr. 1,
 * 28195 Bremen schriftlich angefordert werden.</p>
 *
 *
 * @author R. Lindemann, N.Bngener
 * @version 1.8.0
 */
public class OSCISignatureException extends OSCIException
{
  /**
   * Creates a new OSCISignatureException object.
   *
   * @param errorCode undocumented
   */
  public OSCISignatureException(String errorCode)
  {
    super(errorCode);
  }

  /**
   * Creates a new OSCISignatureException object.
   *
   * @param errorCode undocumented
   */
  public OSCISignatureException(String errorCode, String addInfo)
  {
    super(addInfo, errorCode);
  }

  /**
   * Liefert die Exception-Nachricht in der jeweiligen Sprache (Default-Locale).
   * @return lokale Nachricht
   */
  public String getLocalizedMessage()
  {
    if (super.getMessage() == null)
      return super.getLocalizedMessage();
    else
      return super.getLocalizedMessage() + " '" + super.getMessage() + "'";
  }
}
