package de.osci.osci12.soapheader;

import java.io.IOException;
import java.io.OutputStream;

import org.xml.sax.SAXException;

import de.osci.osci12.common.Constants;
import de.osci.osci12.common.Constants.HeaderTags;
import de.osci.osci12.messagetypes.OSCIMessageBuilder;


/**
 * <p>
 * Copyright  2017 Freie Hansestadt Bremen
 * </p>
 * <p>
 * Erstellt von Governikus GmbH & Co.  KG
 * </p>
 * <p>
 * Diese Bibliothek kann von jedermann nach Magabe der Bremer Lizenz fr freie Softwarebibliotheken genutzt
 * werden.
 * </p>
 * Die Lizenzbestimmungen knnen unter der URL <a href='www.osci.de' >www.osci.de</a > abgerufen oder bei der Senator fr
 * Finanzen, Freie Hansestadt Bremen,  Schillerstr. 1, 28195 Bremen schriftlich angefordert werden.
 * </p>
 *
 * @author R. Lindemann, N.Bngener
 * @version 1.8.0
 */
public class DesiredLanguagesH extends HeaderEntry
{

  // private static Log log = LogFactory.getLog(DesiredLanguagesH.class);
  /** Liste der Sprachen im Format de,fr */
  private String languageList;

  /**
   * Creates a new DesiredLanguageH object.
   *
   * @param languageList undocumented
   * @param parentHandler Description of Parameter
   * @param atts Description of Parameter
   * @throws SAXException
   */
  public DesiredLanguagesH(OSCIMessageBuilder parentHandler, String id, String languageList)
    throws SAXException
  {
    parentHandler.addFoundMsgPartIds(id, HeaderTags.DesiredLanguages.getNamespace().getUri() +":"+HeaderTags.DesiredLanguages.getElementName());
    this.languageList = languageList;
  }

  /**
   * Creates a new DesiredLanguageH object.
   *
   * @param languageList undocumented
   */
  public DesiredLanguagesH(String languageList)
  {
    this.languageList = languageList;
  }

  /**
   * undocumented
   *
   * @return undocumented
   */
  public String getLanguageList()
  {
    return languageList;
  }

  /**
   * undocumented
   *
   * @param out undocumented
   * @throws IOException undocumented
   */
  public void writeXML(OutputStream out) throws IOException
  {
    out.write(("<" + osciNSPrefix + ":DesiredLanguages").getBytes(Constants.CHAR_ENCODING));
    out.write(ns);
    out.write((" Id=\"desiredlanguages\" LanguagesList=\"" + languageList + "\" " + soapNSPrefix
               + ":actor=\"http://schemas.xmlsoap.org/soap/actor/next\" " + soapNSPrefix
               + ":mustUnderstand=\"1\"></" + osciNSPrefix
               + ":DesiredLanguages>").getBytes(Constants.CHAR_ENCODING));
  }
}
